--[[
    Copyright Daniel D. Neilson, 2006

    This file is part of DKPmon.

    DKPmon is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    DKPmon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DKPmon; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
]]

local L = AceLibrary("AceLocale-2.2"):new("DKPmon")

local translations = {
   ["DKPmon"] = true,
   ["Disenchant"] = true,
   ["Bank"] = true,
   ["Yes"] = true,
   ["No"] = true,
   
   -- Lootitem
   ["%d Bids  -- Winner = %s"] = true,
   ["Blocking for more info"] = true,
   ['Disenchant the item'] = true,
   ['Pass the item to the guild bank'] = true,
   ['Remove item'] = true,
   ['Remove this item from the list'] = true,
   ['Distribute via masterlooter'] = true,
   ['Give this item to its winner via masterlooter'] = true,
   ["ERROR: Could not find %s in loot window."] = true,
   ["Selected winner for %s is not in the raid. Cannot distribute"] = true,
   ["ERROR: %s could not be found in the MasterLooter list for %s"] = true,

   -- Lootframe
   ["DKPmon: Loot Distribution"] = true,
   ["Actions"] = true,
   ["DKP System: "] = true,
   ["Logging: "] = true,
   ["DKP System: %s"] = true,
   ["Logging: Disabled"] = true,
   ["Log: %s started %s"] = true,
   ["Sorry, bidding was cancelled."] = true,
   ['Clear all'] = true,
   ['Clear all items from the distribution window'] = true,
   ['Open bidding'] = true, 
   ['Open bidding on all items'] = true,
   ['Close timer'] = true, 
   ['Select time in which to close bidding'] = true,
   ['Close bidding'] = true, 
   ['Start the timer to close bidding on all items'] = true,
   ['Cancel closing timer'] = true,
   ['Cancel the countdown timer for close of bidding'] = true,
   ["Bid closing countdown cancelled."] = true,
   ["Bid closing countdown cancelled."] = true,
   ['Cancel'] = true, 
   ['Cancel the open bidding and allow more items to be added'] = true,
   ['Announce'] = true, 
   ['Announce all item winners'] = true,
   ["Deduct winners' points"] = true, 
   ['Open bidding on all items'] = true,
   ["You're not in a raid group."] = true,
   ["Item %d needs information filled in before bidding can begin."] = true,
   ["Bidding is now open on:"] = true,
   ["Error -- sent bid on non-existant item."] = true,
   ["Error -- Received bid from %s on item that does not exist."] = true,
   ["Your bid on item %s was rejected."] = true,
   ["Your bid on item %s was accepted."] = true,
   ["Your bid on item %s was removed."] = true,
   ["Bidding is now closed."] = true,
   ["Bidding closing in %g seconds."] = true,
   ["Bidding temporarily cancelled."] = true,
   ["And the winners are:"] = true,

   -- Looting/looting.lua
   ["Unknown mob"] = true,
   ["Invalid item link: %s"] = true,
   
   -- Options table: console commands
   ['biditem'] = true,
   ['Supply a list of item links to bid on.'] = true,
   ['<itemlink>[<itemlink>]+'] = true,
   ['showbids'] = true,
   ['Show the loot distribution interface.'] = true,
   ['award'] = true,
   ['Bring up the points awarding interface.'] = true,
   ['pointsdb'] = true,
   ['Functions for the points database'] = true,
   ['bcast'] = true,
   ['Broadcast your points database to the other DKPmons in the raid.'] = true,
   ['sync'] = true,
   ['Request a database synchronization with the DKPmon users in the raid.'] = true,
   ['alwayssync'] = true,
   ['Toggle whether or not to always send your database on a sync request.'] = true,
   ['password'] = true,
   ['Set your broadcast password.'] = true,
   ['<password>'] = true,
   ['raidsetup'] = true,
   ['Configure settings for the raid.'] = true,
   ['setde'] = true,
   ["Set the name of the raid's disenchanter. Case sensative! Remove spaces!"] = true,
   ['<Name-Server>'] = true,
   ['setbank'] = true,
   ["Set the name of the player to give all bankables to. Case sensative! Remove spaces!"] = true,
   
   -- Options table: Fubar items
   ['Points database'] = true,
   ['Functions for the points database'] = true,
   ['Broadcast database'] = true,
   ['Broadcast your points database to the other DKPmons in the raid.'] = true,
   ['Intiate database synchronization'] = true,
   ['Request a database synchronization with the DKPmon users in the raid.'] = true,
   ['Always send on sync request'] = true,
   ['Toggle whether or not to always send your database on a sync request.'] = true,
   ['Set broadcast password'] = true,
   ['Set your broadcast password.'] = true,
   ["Raid Setup"] = true,
   ['Configure settings for the raid.'] = true,
   ["I'm running this raid."] = true,
   ["Check this item if you're running loot distribution for the raid."] = true,
   ['Set disenchanter'] = true,
   ['Set banker'] = true,
   ["Logging"] = true,
   ["Options related to raid information logging."] = true,
   ["CTRT compatibility mode."] = true,
   ["Enable this to log non-boss mobs as 'Trash Mob' rather than by their name."] = true,
   ['Log name'] = true,
   ['Specify a name for the log to start'] = true,
   ['Start log'] = true,
   ["Begin a log for your raid with the name specified under 'Log name.'"] = true,
   ["You must be in a raid to begin a log."] = true,
   ["Cannot start a log until you give it a name"] = true,
   ["You must stop your current log before beginning a new one."] = true,
   ['Stop log'] = true,
   ["Stop logging for your current log"] = true,
   ["You do not have an active log to stop."] = true,
   ['View logs'] = true,
   ['Open a window from which your log contents can be viewed'] = true,
   ['Enable automatic log start'] = true,
   ['Toggle on to enable automatic log start when entering a raid instance.'] = true,
   ["Delete log(s)"] = true,
   ["Delete some, or all, of your stored logs"] = true,
   ['Delete all logs'] = true,
   ['Delete every single non-active stored log. This is not reversable.'] = true,
   ['Show loot distribution window'] = true,
   ['Show the loot distribution interface.'] = true,
   ['Show points awarding window.'] = true,
   ['Bring up the points awarding interface.'] = true,
   
   -- option functions
   ["Bidding is open, cannot add more items. Close bidding first."] = true,
   ["Console"] = true,

   -- PointsDB
   ["Bad types to earned and spent"] = true,
   
   -- Comm\comm.lua
   ["Communications command %s already registered."] = true,
   ["Expected function for dispatchfunc, got %s instead."] = true,
   
   -- Custom/registry.lua
   ["Register Custom Info -- first arg must be a table"] = true,
   ["Register Custom Info -- second arg must be a string or number"] = true,
   ["Register Custom Info -- %s already registered."] = true,
   ["GetCustomInfo() -- %s not registered."] = true,
   
   -- main.lua
   ["/dkp"] = true,
   ["/dkpmon"] = true,
   ["Database version changed. Migrating to new format."] = true,
   ["Log version changed. Migrating to new format."] = true,
   ["Disabled"] = true,
   ["DKP Leader:"] = true,
   ["Logging:"] = true,
   ["Click to open Points Awarding window."] = true,
   ["I'm now the DKP lead."] = true,
   ["DKP leader changed to "] = true,

   -- DKP System registry
   ['DKP System Options'] = true,
   ['Options related to the choice of DKP System.'] = true,
   ['DKP System.'] = true,
   ['Choose which DKP system to use.'] = true,
   ["Register DKP system -- DKP system with sysID %s does not inherit from the DKPmon_DKP_BaseClass object"] = true,
   ["Register DKP system -- second arg must be a string or number"] = true,
   ["Register DKP system -- %s already registered."] = true,
   ["DKP System %s not registered."] = true,
   ["Cannot change systems right now. Bidding is open, and I can't open a dialog box."] = true,
   
   -- Fixed DKP system
   ["Item %s is assigned to an undefined pool."] = true,
   ["Unknown"] = true,
   ["DKP = %g"] = true,
   ["Error -- player %s has bid on this item but has never been in the raid! Not listing them."] = true,
   ["Select %s to win the item"] = true,
   ['Specify item value'] = true,
   ['Specify the value of this item'] = true,
   ['Assign value'] = true,
   ['Assign this value to this item'] = true,
   ["Cannot assign a value of zero"] = true,
   ["Make %s worth %g points from pool %s?"] = true,
   ['Choose pool'] = true, 
   ['Choose which point pool this item is in'] = true,
   ['Set value'] = true, 
   ['Set the number of points this item is worth'] = true,
   ['Add/remove a bidder'] = true,
   ['Add, or remove, a player from the list of bidders for this item.'] = true,
   ["You have no points."] = true,
   ["Your points are:"] = true,
   ["Error -- %s has never been in the raid! I cannot deduct points because I don't know enough about them. Please make note of the following deductions and do them manually:"] = true,
   ["%s\n%g from pool %d"] = true,
   ["You have been charged %g %s points for %s."] = true,
   ["Set points to award"] = true,
   ["Select boss %s"] = true,
   ["Select boss' value"] = true, 
   ["Select a boss to add the point value for"] = true,
   ['List of bosses'] = true,
   ['Specify custom amount'] = true, 
   ['Specify a custom number of points to award to everyone'] = true,
   ['Append current'] = true, 
   ['Append the currently specified custom amount to the list of points to be awarded.'] = true,
   ['Select pool'] = true,
   ['Select the pool to award points to'] = true,
   ['Specify points'] = true,
   ["Specify the number of points to award. This can be negative."] = true,
   ['Fixed DKP options'] = true,
   ['Options for the "Fixed DKP" DKP System'] = true,
   ['Item quality threshold'] = true,
   ['Set the threshold on item quality to automatically include in the item list for bidding on.'] = true,
   ["|cff%sPoor|r"] = true,
   ["|cff%sCommon|r"] = true,
   ["|cff%sUncommon|r"] = true,
   ["|cff%sRare|r"] = true,
   ["|cff%sEpic|r"] = true,
   ["|cff%sLegendary|r"] = true,
   ["|cff%sArtifact|r"] = true,
   ['Item adding'] = true,
   ['Enable adding of items to SavedVariables database.'] = true,
   ["Fixed DKP"] = true,

   -- Log viewer
   ["DKPmon: View Logs"] = true,
   ["View log parts"] = true,
   ["Select Log"] = true,
   ['Player Information'] = true,
   ['Toggle display of player information'] = true,
   ['Player Joins'] = true, 
   ['Toggle display of player join time information.'] = true,
   ['Player Leaves'] = true, 
   ['Toggle display of player leave time information.'] = true,
   ['Item drops'] = true, 
   ['Toggle display of item drops, who they went to, and how many points they cost.'] = true,
   ['Point awards'] = true, 
   ['Toggle display of points awarded and to whom.'] = true,
   ['Select which log to view'] = true,
   ["  Awarded to:"] = true,
   ["Viewing Log: %s"] = true,
   ["Started: %s"] = true,
   ["Ended: %s"] = true,
   ["Player Information:"] = true,
   ["Player Join Times:"] = true,
   ["Player Leave Times:"] = true,
   ["Loot List:"] = true,
   ["List of Awarded Points:"] = true,

   -- Logging/log.lua
   ["Delete this log"] = true,
   ["Logging already active, cannot start a new log"] = true,
   ["You're not in a raid. Cannot start logging."] = true,
   ["Log -- Got request for playerleave for a player not in the raid"] = true,
   
   -- Import/export registry
   ['Import modules'] = true,  
   ['Modules for importing to DKPmon'] = true,
   ['Export modules'] = true, 
   ['Modules for exporting from DKPmon'] = true,
   ["RegisterImportModule -- first arg must be a table"] = true,
   ["RegisterImportModule -- module does not implement all functions in the baseclass interface"] = true,
   ["RegisterImportModule -- second arg must be a string"] = true,
   ["RegisterImportModule -- %s already registered."] = true,
   ["RegisterExportModule -- first arg must be a table"] = true,
   ["RegisterExportModule -- module does not implement all functions in the baseclass interface"] = true,
   ["RegisterExportModule -- second arg must be a string"] = true,
   ["RegisterExportModule -- %s already registered."] = true,
   ["Cannot get savedvariables database for unregistered import module %s"] = true,
   ["Cannot get savedvariables database for unregistered export module %s"] = true,
 
   -- Dialog strings
  ["Bidding is active, are you sure you want to clear all?"] = true,
  ["Bidding is currently active, switching systems at this point will close the current bidding cycle.\nAre you sure you wish to continue?"] = true, 
  ["DKP System: %s\n\nAre you positive that you want to deduct points for the chosen winners?"] = true,
  ["Are you sure that you want to award points to the currently selected group?\nNote: You can click the view points button to see what points are awaiting awarding."] = true,
  ["Received a broadcast from %s. Shall I sync your database with this information?"] = true,
  ["Received a sync request from %s. Do you want to send your database?"] = true,
  ["Are you positive that you want to remove %s from the list?"] = true,
  ["Are you positive that you want to give %s to %s via masterlooter?"] = true,
  ["Begin a log with name '%s' ?"] = true,
  ["Are you positive that you want to stop your current log?\nA stopped log cannot be resumed."] = true,
  ["Are you absolutely positive that you want to delete the log named below?\n\n%s\n\nThis operation cannot be reversed!"] = true,
  ["Are you absolutely positive that you want to delete all of your logs?\nThis is not reversable!"] = true,

  -- Raid roster
  ["%s not present in the raid roster. This is -bad-"] = true,

  -- Award frame
  ["DKPmon: Points Awarding"] = true,
  ["Select players"] = true,
  ["Points to award:"] = true,
  ["None"] = true,
  ["Purge List"] = true,
  ["Award points"] = true,
  ["%d/%d raid members selected"] = true,
  ["%d/%d standby members selected"] = true,
  ["%d/%d members selected from the database"] = true,
  ['Select the players to award points to'] = true,
  ["Raid members"] = true,
  ["Select members from the raid to award points to"] = true,
  ["Query raid"] = true,
  ["Query the raid to determine everyone's bidding name, and whether they're online."] = true,
  ["Select all"] = true, 
  ["Select all members of the raid."] = true,
  ["Unselect all"] = true,
  ["Unselect all members of the raid."] = true,
  ["Add/remove this player"] = true,
  ["Standby members"] = true, 
  ["Select members from standby to award points to"] = true, 
  ["Query standby"] = true, 
  ["Query the standby to determine everyone's bidding name, and whether they're online."] = true,
  ["Select all members of the standby."] = true,
  ["Unselect all members of the standby."] = true,
  ["Database members"] = true,
  ["Select members from the points database to award points to"] = true,
  ["Select all members of the database."] = true,
  ["Unselect all members of the database."] = true,
  ["Players starting with the letter %s"] = true,
  ["Points awarded:"] = true,
  ["You're already in the raid, turn off your standby flag."] = true,
  ["Invalid input. Expected table with pool number, amount number, and source string."] = true,
  -- General Messages
  ["NO_RAID_LEADER"] = "There is no Raid Leader in this raid. A player must be set as running this raid on the DKPMon Raid Setup options to get the current DKP values.",    
  -- Guild Launch Additions
  ["LOG_GLCTRT_EVENTS"] = "Log Events to Guild Launch Raid Tracker",
  ["LOG_GLCTRT_EVENTS_TOOLTIP"] = "Enable this option to log events to Guild Launch CT_RaidTracker. This will also change the proper Raid Tracker settings to make this work.",
  ['Override Bid'] = "Override Bid",
  ['Enter a value to override the bid on this item this time only. This value will not be saved.'] = "Enter a value to override the bid on this item this time only. This value will not be saved.",
  ['Clear Bid Override'] = "Clear Bid Override",
  ['Clears the current override value'] = "Clears the current override value",    
}

L:RegisterTranslations("enUS",
		       function() return translations end)
